# Serialized Form

## Package javassist

### Exception Class javassist.CannotCompileException

class CannotCompileException extends Exception implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### message

    String message

##### myCause

    Throwable myCause

### Class javassist.ClassMap

class ClassMap extends HashMap<String,String> implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### parent

    ClassMap parent

### Exception Class javassist.NotFoundException

class NotFoundException extends Exception implements Serializable

serialVersionUID:
  1L

## Package javassist.bytecode

### Exception Class javassist.bytecode.BadBytecode

class BadBytecode extends Exception implements Serializable

serialVersionUID:
  1L

### Exception Class javassist.bytecode.CodeAttribute.RuntimeCopyException

class RuntimeCopyException extends RuntimeException implements Serializable

serialVersionUID:
  1L

### Exception Class javassist.bytecode.DuplicateMemberException

class DuplicateMemberException extends CannotCompileException implements Serializable

serialVersionUID:
  1L

### Exception Class javassist.bytecode.StackMapTable.RuntimeCopyException

class RuntimeCopyException extends RuntimeException implements Serializable

serialVersionUID:
  1L

## Package javassist.bytecode.annotation

### Exception Class javassist.bytecode.annotation.NoSuchClassError

class NoSuchClassError extends Error implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### className

    String className

## Package javassist.compiler.ast

### Class javassist.compiler.ast.ArrayInit

class ArrayInit extends ASTList implements Serializable

serialVersionUID:
  1L

### Class javassist.compiler.ast.AssignExpr

class AssignExpr extends Expr implements Serializable

serialVersionUID:
  1L

### Class javassist.compiler.ast.ASTList

class ASTList extends ASTree implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### left

    ASTree left

##### right

    ASTList right

### Class javassist.compiler.ast.ASTree

class ASTree extends Object implements Serializable

serialVersionUID:
  1L

### Class javassist.compiler.ast.BinExpr

class BinExpr extends Expr implements Serializable

serialVersionUID:
  1L

### Class javassist.compiler.ast.CallExpr

class CallExpr extends Expr implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### method

    javassist.compiler.MemberResolver.Method method

### Class javassist.compiler.ast.CastExpr

class CastExpr extends ASTList implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### arrayDim

    int arrayDim

##### castType

    int castType

### Class javassist.compiler.ast.CondExpr

class CondExpr extends ASTList implements Serializable

serialVersionUID:
  1L

### Class javassist.compiler.ast.Declarator

class Declarator extends ASTList implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### arrayDim

    int arrayDim

##### localVar

    int localVar

##### qualifiedClass

    String qualifiedClass

##### varType

    int varType

### Class javassist.compiler.ast.DoubleConst

class DoubleConst extends ASTree implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### type

    int type

##### value

    double value

### Class javassist.compiler.ast.Expr

class Expr extends ASTList implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### operatorId

    int operatorId

### Class javassist.compiler.ast.FieldDecl

class FieldDecl extends ASTList implements Serializable

serialVersionUID:
  1L

### Class javassist.compiler.ast.InstanceOfExpr

class InstanceOfExpr extends CastExpr implements Serializable

serialVersionUID:
  1L

### Class javassist.compiler.ast.IntConst

class IntConst extends ASTree implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### type

    int type

##### value

    long value

### Class javassist.compiler.ast.Keyword

class Keyword extends ASTree implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### tokenId

    int tokenId

### Class javassist.compiler.ast.Member

class Member extends Symbol implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### field

    CtField field

### Class javassist.compiler.ast.MethodDecl

class MethodDecl extends ASTList implements Serializable

serialVersionUID:
  1L

### Class javassist.compiler.ast.NewExpr

class NewExpr extends ASTList implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### arrayType

    int arrayType

##### newArray

    boolean newArray

### Class javassist.compiler.ast.Pair

class Pair extends ASTree implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### left

    ASTree left

##### right

    ASTree right

### Class javassist.compiler.ast.Stmnt

class Stmnt extends ASTList implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### operatorId

    int operatorId

### Class javassist.compiler.ast.StringL

class StringL extends ASTree implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### text

    String text

### Class javassist.compiler.ast.Symbol

class Symbol extends ASTree implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### identifier

    String identifier

### Class javassist.compiler.ast.Variable

class Variable extends Symbol implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### declarator

    Declarator declarator

## Package javassist.tools.reflect

### Exception Class javassist.tools.reflect.CannotCreateException

class CannotCreateException extends Exception implements Serializable

serialVersionUID:
  1L

### Exception Class javassist.tools.reflect.CannotInvokeException

class CannotInvokeException extends RuntimeException implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### err

    Throwable err

### Exception Class javassist.tools.reflect.CannotReflectException

class CannotReflectException extends CannotCompileException implements Serializable

serialVersionUID:
  1L

### Class javassist.tools.reflect.ClassMetaobject

class ClassMetaobject extends Object implements Serializable

serialVersionUID:
  1L

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### constructors

    Constructor<?>[] constructors

##### javaClass

    Class<?> javaClass

##### methods

    Method[] methods

### Class javassist.tools.reflect.Metaobject

class Metaobject extends Object implements Serializable

serialVersionUID:
  1L

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### baseobject

    Metalevel baseobject

##### classmetaobject

    ClassMetaobject classmetaobject

##### methods

    Method[] methods

## Package javassist.tools.rmi

### Class javassist.tools.rmi.ObjectImporter

class ObjectImporter extends Object implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### endofline

    byte[] endofline

##### lookupCommand

    byte[] lookupCommand

##### orgPort

    int orgPort

##### orgServername

    String orgServername

##### port

    int port

##### rmiCommand

    byte[] rmiCommand

##### servername

    String servername

### Exception Class javassist.tools.rmi.ObjectNotFoundException

class ObjectNotFoundException extends Exception implements Serializable

serialVersionUID:
  1L

### Exception Class javassist.tools.rmi.RemoteException

class RemoteException extends RuntimeException implements Serializable

serialVersionUID:
  1L

### Class javassist.tools.rmi.RemoteRef

class RemoteRef extends Object implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### classname

    String classname

##### oid

    int oid

## Package javassist.tools.web

### Exception Class javassist.tools.web.BadHttpRequest

class BadHttpRequest extends Exception implements Serializable

serialVersionUID:
  1L

#### Serialized Fields

##### e

    Exception e